using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


// Bitte beachten Sie auch den Fortsetzungsband zu diesem Buch, falls
// Ihnen das Programmieren Spaß gemacht hat und Sie sich fortgeschritteneren 
// Themen zuwenden wollen. Alle Informationen zum Fortsetzungsband finden
// Sie auf der Website: www.tiefer-einsteigen.de 

namespace Datentypen
{
    class Program
    {
        static void Main(string[] args)
        {

            int i = 1;
            Console.WriteLine("Informationen über die Variable i");
            Console.WriteLine(i.GetType().ToString());
            Console.WriteLine(i.GetType().BaseType.ToString());
            Console.WriteLine(i.GetType().BaseType.BaseType.ToString());
            Console.WriteLine(i.GetType().Assembly.ToString());
            Console.WriteLine();

            string s = "Datentypen";
            Console.WriteLine("Informationen über die Variable s");
            Console.WriteLine(s.GetType().ToString());
            Console.WriteLine(s.GetType().BaseType.ToString());
            Console.WriteLine(s.GetType().Assembly.ToString());
            Console.WriteLine();

            var v = 3.4;
            Console.WriteLine("Informationen über die Variable v");
            Console.WriteLine(v.GetType().ToString());
            Console.WriteLine(v.GetType().BaseType.ToString());
            Console.WriteLine(v.GetType().Assembly.ToString());

        
        
        }
    }
}
